%define upstream_name    Module-Build-WithXSpp
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    XS++ enhanced flavour of Module::Build
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CppGuess) >= 0.40.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.220.500
BuildRequires: perl(ExtUtils::Typemaps) >= 1.0.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.110.0
BuildRequires: perl(Module::Build) >= 0.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

# Filtering unversioned requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Module::Build\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(ExtUtils::CppGuess\\)$

%description
This subclass of the Module::Build manpage adds some tools and processes to
make it easier to use for wrapping C++ using XS++ (the ExtUtils::XSpp
manpage).

There are a few minor differences from using 'Module::Build' for an
ordinary XS module and a few conventions that you should be aware of as an
XS++ module author. They are documented in the the /"FEATURES AND
CONVENTIONS" manpage section below. But if you can't be bothered to read
all that, you may choose skip it and blindly follow the advice in the
/"JUMP START FOR THE IMPATIENT" manpage.

An example of a full distribution based on this build tool can be found in
the the ExtUtils::XSpp manpage distribution under _examples/XSpp-Example_.
Using that example as the basis for your 'Module::Build::WithXSpp'-based
distribution is probably a good idea.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-7.mga6
+ Revision: 1029926
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.140.0-6.mga6
+ Revision: 940469
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 741570
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.140.0-4.mga5
+ Revision: 735700
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 685414
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 538444
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 489672
- update to 0.14

* Sat Jun 01 2013 shlomif <shlomif> 0.130.0-1.mga4
+ Revision: 434051
- update to 0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 369769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 306142
- update to 0.12

* Thu May 31 2012 shlomif <shlomif> 0.110.0-2.mga3
+ Revision: 252320
- Correct license
- imported package perl-Module-Build-WithXSpp


* Thu Apr 12 2012 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
